|  | Home

# QtSliderFactory Class Reference

The QtSliderFactory class provides QSlider widgets for properties created by QtIntPropertyManager objects. More...

     #include <QtSliderFactory>

Inherits QtAbstractEditorFactory<QtIntPropertyManager>.

- List of all members, including inherited members

## Public Functions

| QtSliderFactory ( QObject * parent = 0 )
| ~QtSliderFactory ()

- 5 public functions inherited from QtAbstractEditorFactory
- 1 public function inherited from QtAbstractEditorFactoryBase
- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 1 public type inherited from QObject
- 4 static public members inherited from QObject
- 3 protected functions inherited from QtAbstractEditorFactory
- 7 protected functions inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QtSliderFactory class provides QSlider widgets for properties created by QtIntPropertyManager objects.

See also QtAbstractEditorFactory and QtIntPropertyManager.

## Member Function Documentation

### QtSliderFactory::QtSliderFactory ( QObject * parent = 0 )

Creates a factory with the given parent.

### QtSliderFactory::~QtSliderFactory ()

Destroys this factory, and all the widgets it has created.